> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customers Order History



## OpenAPI

````yaml Wallet post /orders/customer/{customerId}
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /orders/customer/{customerId}:
    post:
      tags:
        - Admin
      summary: Get Customers Order History
      operationId: AdminController_customerOrderHistory
      parameters:
        - name: tenantId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: customerId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaginationDto'
        required: true
      responses:
        '201':
          description: Get Customers Order History
      security:
        - default: []
components:
  schemas:
    PaginationDto:
      required:
        - inTermsOf
        - overview
        - range
        - walletId
      type: object
      properties:
        page:
          minimum: 1
          type: number
          default: 1
        take:
          maximum: 50
          minimum: 1
          type: number
          default: 10
        range:
          type: string
          enum:
            - HOUR
            - DAY
            - WEEK
            - MONTH
            - YEAR
            - ALL
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````